Bug 177106 - Review Request: libgdgeda - graphical library for gEDA
Review Request: libgdgeda - graphical library for gEDA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: 177107
  Show dependency treegraph
 
Reported: 2006-01-06 07:51 EST by Wojciech Kazubski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 13:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wojciech Kazubski 2006-01-06 07:51:25 EST
Spec Name or Url: http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/specs/libgdgeda.spec
SRPM Name or Url: http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/srpms/libgdgeda-2.0.15-3.fc4.src.rpm
Description: This is a library used by gEDA project (http://wwww.geda.seul.org), for electrical circuit design. The library provides png export for libgeda.
This is my first group of package, so I am seeking a sponsor
Comment 1 John Mahowald 2006-02-05 14:22:28 EST
Can't sponsor, but I am interested in circuit software.


** Configuration summary for libgdgeda 2.0.15:

   Support for PNG library:          yes
   Support for JPEG library:         no
   Support for Freetype 2.x library: no
   Support for Xpm library:          no

Why not add these? It's usually a good idea to enable as many features as
possible. All it would take is adding libjpeg-devel and freetype-devel to
BuildRequires.


# install will be a bit complicated because we are not assured
# that the builder has root privileges

What do you mean by this? All packages are built by a non root user, and I did
sucessfully. You have defined a BuildRoot you don't need root to write to.

The source in the tarball isn't matching what I downloaded for some reason.
d4978ce4e8eb9fa2e7c0d7dba40b3c5b  libgdgeda-2.0.15.tar.gz (downloaded)
1580beb2bd224f38ce8637c67a5512f8  /tmp/libgdgeda-2.0.15.tar.gz (src rpm)


rpmlint checks are clean, which is good.
Comment 2 Wojciech Kazubski 2006-02-07 10:29:19 EST
This test about JPEG and Freetype support is something left from original libgd
library or something unfinished yet. Some part of configure.ac is commented out,
so support for JPEG and Freetype will be disabled even if proper -devel files
are present. Adding the option --with-jpeg to configure does not help too. 
More, JPEG is not optimal for line graphs produced by gschem and currently the
only bitmap format supported by gschem is png.

The two comment lines are very old, maybe building rpms as user was not usual
for someone before me.

I'll check md5sums of the sources, my version of libgeda source is from 2003 and
is one byte shorter. It could be repackaged without bumping the version.
Comment 3 Ralf Corsepius 2006-02-08 10:19:22 EST
Some proposals on your spec files:
1. The *-devel package provides *.pc files. 
Therefore I'd propose to let it Requires: pkgconfig

2. Why not simply use %{_includedir}/gdgeda, instead of:
%files devel
%dir %{_includedir}/gdgeda
[..]
%{_includedir}/gdgeda/*

3. I'd strongly recommend not to ship the static libs.
Comment 4 Wojciech Kazubski 2006-02-10 06:31:47 EST
1. OK, libgdgeda-devel put files into pkgconfig directory so the dependency is 
necessary. 
 
2. I was not sure that if package owns a directory then it owns everything 
inside. There is some risk of strange files getting into a package, if the 
files are named in %files you have more control what is packaged. 
 
3 OK, I will make a test with --disable-static. 
Comment 5 Wojciech Kazubski 2006-03-13 07:19:27 EST
Few days ago I upgraded specfiles for all gEDA stuff including libgdgeda. 
Specfiles are at:  
http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/specs2/  
Source RPM is at:    
http://www.sp5pbe.waw.pl/~sp5smk/fedora-extras/srpms/   
Comment 6 John Mahowald 2006-03-16 20:36:21 EST
These apply to the other gEDA specs as well.

* The gd license is really BSD, change it
* If you are going to tag the package for a distro use the %{?dist} tag as
described in DistTag on the wiki
The current hardcoded value results in fc4 in the Release tag on this rawhide box.
Comment 7 Wojciech Kazubski 2006-03-22 07:22:41 EST
License and distro tag changed. It seems that the %{?dist} tag does not work on 
my machine, got no .fc4 suffix. 
Comment 8 Paul Howarth 2006-03-22 07:42:46 EST
(In reply to comment #7)
> License and distro tag changed. It seems that the %{?dist} tag does not work on 
> my machine, got no .fc4 suffix. 

Build your package in mock, and then it will pull in the buildsys-macros and
define the macro.

Alternatively, just install the buildsys-macros package from
http://fedoraproject.org/buildgroups/4/i386/

Better still, don't worry about the missing disttag - %{?dist} will work as
designed in the Extras buildsystem.

Do not hardcode the distribution in the spec file though.
Comment 9 Wojciech Kazubski 2006-03-22 09:46:47 EST
This was done to work in my private repository. Yestersay I had to bump fedora 
release number manually. And there is good news: build goes trough on FC5/386. 
 
Please look into other specfiles of gEDA 
Comment 10 Hans de Goede 2006-03-22 10:04:40 EST
John (Mahowald)

I'm a teacher in electronics and as such I'm interested in circuit software too.
Also I've got a student who is currently using a self-compiled version of geda
on top of FC-5. He has tested Wojciech Kazubski's SRPMS and they work (as good
as the original, which has a few bugs).

I can't sponsor either, but I have "acquired" the support of a sponser: Paul
Howarth (added to CC-list). My agreement with Paul is that I'll do the full
review and that he will look over my shoulder and do the sponsoring when he is
happy with my review and Wojciech Kazubski's work. As such I would like todo a
full review soon, starthing with this package and then chewing my way through
the other geda packages.

Questions: Can you do a full review soon, are shall I take over and do it? Maybe
we can share the review load there are a lot of packages that together make up geda?

About comment 6: I tend to agree however interesting in this light is are bug
185215 and bug 185501, where to reverse is being advocated (use "zlib License"
instead of BSD) I think we need some kinda policy on this.
Comment 11 John Mahowald 2006-03-29 20:04:27 EST
I have since become a sponsor. 

Yes I am interested in delegating the review of the several packages here,
however this one needs to go through before nearly all of the others.

Please explain the differences this library has from standard gd and why . From
the version numbers it appears to be based on the gd version from FC1.
Duplication, and an older version at that, should be avoided IMO.
Comment 12 Hans de Goede 2006-04-22 05:15:51 EDT
In the mean time I have become a sponsor too, so sponsors a plenty :)

Wojciech,

Can you please answer John's question: "Please explain the differences this
library has from standard gd and why . From the version numbers it appears to be
based on the gd version from FC1" ask upstream for clarification if nescesarry,
I believe that John is asking a very valid question.

If you don't have an answer atleast answer that you don't have an answer,
silence is one way to make sure we are not going to get anywhere.
Comment 13 Wojciech Kazubski 2006-04-22 18:49:05 EDT
The differences are surprisingly small. The only significant difference is the 
direction of drawing arcs. This can be compensated by changing one line in 
libgeda. Now I am testing the libgeda with gd 2.0.33 and it seems that it is 
working fine. So in my opinion libgdgeda can be dropped completly. The only 
problem now is that nor gd or libgd.so.2 is in REQUIRES.

Wojciech Kazubski
Comment 14 Paul Howarth 2006-04-23 08:20:56 EDT
(In reply to comment #13)
> The differences are surprisingly small. The only significant difference is the 
> direction of drawing arcs. This can be compensated by changing one line in 
> libgeda. Now I am testing the libgeda with gd 2.0.33 and it seems that it is 
> working fine. So in my opinion libgdgeda can be dropped completly. The only 
> problem now is that nor gd or libgd.so.2 is in REQUIRES.

You're saying you've replaced libgdgeda-devel with gd-devel as the buildreq for
libgeda and the resulting package doesn't have an auto-dep on libgd.so.2?
Comment 15 Wojciech Kazubski 2006-04-25 10:14:57 EDT
Yes. I investigated this a bit and found that gd package does not have 
pkgconfig file (libgdgeda has it), so I disabled a test for library version 
(PKG_CHECK_MODULES, line 177 of configure.ac). Unfortunately this test provides 
some compile and link flags, including -lgdgeda.
  
Both gd and libgdgeda have their own config scripts (gdlib-config and 
libgdgeda-config) that should also give the flags but gdlib.config --libs do 
not return anything like -lgd. I will try to add it manually and see the 
result.
Comment 16 Hans de Goede 2006-04-25 15:41:00 EDT
> gdlib-config --libs does not return anything like -lgd.

Strange, adding -lgd manualy should make rpm pick up the libgd dependency for
libgeda. Let me know if you need any help with this.
Comment 17 Wojciech Kazubski 2006-04-28 10:03:00 EDT
Adding "-lgl " to GDGEDA_LIBS makes libgeda to require libgd.so.2. Now I am 
going to try a complete build without libgdgeda. 
Comment 18 Hans de Goede 2006-04-28 10:26:48 EDT
Cool, keep up the good work!
Comment 19 Hans de Goede 2006-05-29 04:37:32 EDT
Erm, ping?
Comment 20 Hans de Goede 2006-06-08 05:09:42 EDT
Second ping, are you still interested in this? If not please let me know I think
I know someoneelse who is willing to package the entire geda suite for FE.

Shouldn't you respond within one week from now, I'll presume you have
lost interest into getting this package into FE and close this PR.
Comment 21 Jason Tibbitts 2006-06-16 10:54:43 EDT
It's not looking good.
Comment 22 Hans de Goede 2006-06-16 13:26:28 EDT
Agreed closing as won't fix.

A student at my daytime job (I'm an electronics  teacher at a university) uses
geda for some projects. I'm stimulating him to become an FE contributer and for
starters to pick geda. So I hope we will get geda into FE in a reasonable
timeframe through him.


Note You need to log in before you can comment on or make changes to this bug.